version: 1
project:
  title: Cours de Terminale NSI
  authors:
    - name: Vincent-Xavier Jumel
      affiliations:
      - Charles de Foucauld
      email: Vincent-Xavier.jumel@ac-paris.fr
  license: CC-BY-SA-4.0
  copyright: 2021-2022
  exclude:
    - .venv
    - .pytest*
    - builds
  bibliography:
    - references.bib
  exports:
    - format: typst
      template: lapreprint-typst
      output: exports/livre.pdf
  toc:
    - file: index.md
    - title: Les bases de la terminale
      children:
        - file: 01seq01_POO.md
          children:
            - file: 01seq01_POO_exercices.md
            - file: 01seq01_POO_exercices_correction.md
        - file: 01seq03_recursivite.md
          children:
            - file: exemple_somme_recursive.md
            - file: 01seq03_TD_exemples.md
        - file: structures.md
          children:
            - file: 01seq02_structures_listes.md
              children:
                - file: 01seq02_implementation_liste.md
                - file: 01seq03_structures_recursivite.md
            - file: 01seq04_piles_et_files.md
              children:
                - file: 01seq04_piles.md
                - file: 01seq04_files.md
                - file: 01seq05_tableaux.md
    - title: Bases de données et autres structures
      children:
        - file: tests_comment_les_utiliser.md
          children:
            - file: mise_au_point_des_programmes.md
        - file: 02seq00bdd/2seq1bdd.md
          children:
            - file: 02seq00bdd/2seq2bdd.md
            - file: 02seq00bdd/2seq3bdd.md
            - file: 02seq00bdd/2seq4bdd.md
        - file: 03seq1arbres.md
          children:
            - file: 03seq02tp_arbres.md
            - file: 03seq02tp_arbres01.md
            - file: 03seq03tp_arbres_creation_classes.md
            - file: 03seq04tp_arbres_binaires_recherche.md
        - file: 10seq01_graphes_cours.md
        - file: 05seq01cours_routage.md
          children:
            - file: 05seq02cours_processus.md
              children:
                - file: exemples_sur_les_threads.md
    - title: Des algorithmes avancés
      children:
        - file: 06seq0trifusion.md
        - file: 06seq1techniques_algorithmiques.md
          children:
            - file: 06seq2methodes_gloutonnes.md
            - file: 06seq3programmation_dynamique.md
            - file: 06seq4memoisation.md
        - file: 07seq0recherche_textuelle.md
        - file: 10seq02_graphes_structures.md
          children:
            - file: 10seq03_graphes_parcours.md
        - file: 09_tables_de_hachages_et_dictionnaire.md
    - title: Projets
      children:
        - file: Projets/nuit_du_code.md
        - file: Projets/dictionnaire_et_ensemble.md
    - title: Outils divers pour le cours
      children:
        - file: outils/Installer_Jupyter.md
        - file: outils/Configurer son espace de travail.md
        - file: outils/gitlab.md
    - title: Devoirs
      children:
        - file: devoirs/index.md
          children:
            - file: devoirs/devoir_poo_recursivite.md
            - file: devoirs/dm1_dominos.md
        - file: 11_exercices_avances.md
        - file: devoirs/corrigé ds1.ipynb
        - file: devoirs/corrigé fractale.md
        - file: devoirs/corrigé fonction Mystere.md
        - file: TP sur les masques de réseau.md
        - file: devoirs/rsa.md
    - title: Ressources
      children:
        - file: quelques liens.md
        - file: effet_de_bords.md
          children:
        - file: backmatter.md
        - file: apropos.md
site:
  options:
    logo: images/Breezeicons-devices-64-computer.svg
    favicon: images/Breezeicons-devices-64-computer.svg
  template: book-theme
